Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152953 - (elinks) arrow keys are broken
Summary: (elinks) arrow keys are broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elinks
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Karel Zak
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-03-31 09:37 UTC by Jose Afonso Assuncao
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.10.3-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-10 12:36:57 UTC


Attachments (Terms of Use)

Description Jose Afonso Assuncao 2005-03-31 09:37:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.6) Gecko/20050321 Firefox/1.0.2

Description of problem:
When we try to use the right key in elinks the browser gives keyboard code instead of following link.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Using the portuguese keyboard layout
2.Open elinks in a text console
3.click on the right key over a link 
  

Actual Results:  
but it gives information below "keyboard code: 218" and doesn't go anywere. 
note: other arrow keys work fine.


Expected Results:  It should follow the hiperlink.

Additional info:

Comment 1 Warren Togami 2005-05-02 07:21:00 UTC
It seems both Down and Right arrow keys are broken in elinks for me on x86_64
but not i386 in both gnome-terminal and text VT1.

Comment 2 Karel Zak 2005-05-05 16:19:15 UTC
What's your glibc version?

It looks same like bugreport: http://bugzilla.elinks.or.cz/show_bug.cgi?id=668

Comment 3 Warren Togami 2005-05-05 18:11:47 UTC
FC4 has glibc-2.3.5-4

Comment 4 Miloslav Trmač 2005-05-07 15:02:13 UTC
The upstream bug report contains a patch:
http://cvsweb.elinks.or.cz/cvsweb.cgi/elinks/src/viewer/text/view.c.diff?r1=1.687&r2=1.688&f=u

Comment 5 Miloslav Trmač 2005-05-10 12:36:57 UTC
Fixed in elinks-0.10.3-2. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.